Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.relax.core.checker
Class ExportedHedgeRuleChecker

    java.lang.Object
      com.sun.msv.reader.relax.core.checker.ExportedHedgeRuleChecker

All Implemented Interfaces:
  ExpressionVisitorBoolean, RELAXExpressionVisitorBoolean

public final class ExportedHedgeRuleChecker
extends java.lang.Object
implements RELAXExpressionVisitorBoolean

the purpose of this function object is to make sure that the expression does not contain references to modules other than one specified by this variable.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`ReferenceExp[]` | `errorSnapshot`

Constructor Summary
`ExportedHedgeRuleChecker(RELAXModule module)`

Method Summary
`boolean` | `onAnyString()`
`boolean` | `onAttPool(AttPoolClause exp)`
`boolean` | `onAttribute(AttributeExp exp)`
`boolean` | `onChoice(ChoiceExp exp)`
`boolean` | `onConcur(ConcurExp exp)`
`boolean` | `onData(DataExp exp)`
`boolean` | `onElement(ElementExp exp)`
`boolean` | `onElementRules(ElementRules exp)`
`boolean` | `onEpsilon()`
`boolean` | `onHedgeRules(HedgeRules exp)`
`boolean` | `onInterleave(InterleaveExp exp)`
`boolean` | `onList(ListExp exp)`
`boolean` | `onMixed(MixedExp exp)`
`boolean` | `onNullSet()`
`boolean` | `onOneOrMore(OneOrMoreExp exp)`
`boolean` | `onOther(OtherExp exp)`
`boolean` | `onRef(ReferenceExp exp)`
`boolean` | `onSequence(SequenceExp exp)`
`boolean` | `onTag(TagClause exp)`
`boolean` | `onValue(ValueExp exp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorSnapshot

    public ReferenceExp[] errorSnapshot

Constructor Detail

### ExportedHedgeRuleChecker

    public ExportedHedgeRuleChecker(RELAXModule module)

Method Detail

### onAttribute

    public boolean onAttribute(AttributeExp exp)

  Specified by:
    `onAttribute` in interface `ExpressionVisitorBoolean`

### onChoice

    public boolean onChoice(ChoiceExp exp)

  Specified by:
    `onChoice` in interface `ExpressionVisitorBoolean`

### onSequence

    public boolean onSequence(SequenceExp exp)

  Specified by:
    `onSequence` in interface `ExpressionVisitorBoolean`

### onElement

    public boolean onElement(ElementExp exp)

  Specified by:
    `onElement` in interface `ExpressionVisitorBoolean`

### onOneOrMore

    public boolean onOneOrMore(OneOrMoreExp exp)

  Specified by:
    `onOneOrMore` in interface `ExpressionVisitorBoolean`

### onMixed

    public boolean onMixed(MixedExp exp)

  Specified by:
    `onMixed` in interface `ExpressionVisitorBoolean`

### onRef

    public boolean onRef(ReferenceExp exp)

  Specified by:
    `onRef` in interface `ExpressionVisitorBoolean`

### onOther

    public boolean onOther(OtherExp exp)

  Specified by:
    `onOther` in interface `ExpressionVisitorBoolean`

### onEpsilon

    public boolean onEpsilon()

  Specified by:
    `onEpsilon` in interface `ExpressionVisitorBoolean`

### onNullSet

    public boolean onNullSet()

  Specified by:
    `onNullSet` in interface `ExpressionVisitorBoolean`

### onAnyString

    public boolean onAnyString()

  Specified by:
    `onAnyString` in interface `ExpressionVisitorBoolean`

### onData

    public boolean onData(DataExp exp)

  Specified by:
    `onData` in interface `ExpressionVisitorBoolean`

### onValue

    public boolean onValue(ValueExp exp)

  Specified by:
    `onValue` in interface `ExpressionVisitorBoolean`

### onAttPool

    public boolean onAttPool(AttPoolClause exp)

  Specified by:
    `onAttPool` in interface `RELAXExpressionVisitorBoolean`

### onTag

    public boolean onTag(TagClause exp)

  Specified by:
    `onTag` in interface `RELAXExpressionVisitorBoolean`

### onInterleave

    public boolean onInterleave(InterleaveExp exp)

  Specified by:
    `onInterleave` in interface `ExpressionVisitorBoolean`

### onConcur

    public boolean onConcur(ConcurExp exp)

  Specified by:
    `onConcur` in interface `ExpressionVisitorBoolean`

### onList

    public boolean onList(ListExp exp)

  Specified by:
    `onList` in interface `ExpressionVisitorBoolean`

### onElementRules

    public boolean onElementRules(ElementRules exp)

  Specified by:
    `onElementRules` in interface `RELAXExpressionVisitorBoolean`

### onHedgeRules

    public boolean onHedgeRules(HedgeRules exp)

  Specified by:
    `onHedgeRules` in interface `RELAXExpressionVisitorBoolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD